﻿@using Microsoft.AspNetCore.Identity
@inject SignInManager<IdentityUser> SignInManager
@inject UserManager<IdentityUser> UserManager

@{
    ViewData["Title"] = "Home Page";
}

<div class="text-center">
    <h1 class="display-4">Welcome to Allwin Hair Salon!</h1>
    @if (SignInManager.IsSignedIn(User))
    {
        <p>Go to <a asp-controller="Reservations" asp-action="Index">Reservations</a> to check your active reservations and make a new one.</p>
    }
    else
    {
        <p>Please <a asp-area="Identity" asp-page="/Account/Register">Register</a>
        or <a asp-area="Identity" asp-page="/Account/Login">Login</a> to check your active reservations and make a new one.</p>
    }
</div>
